Proxy-seller

Download resident proxies

Downloads residential proxy lines as txt, csv, or a custom template.

GET
/personal/api/v2/{apiKey}/proxy/download/resident

Path Parameters

apiKey*string

Client API key.

Query Parameters

id?string

Resident list ID. If omitted, all available list lines are returned.

ext?string

Export type (txt, csv) or custom format using %ip%, %port%, %login%, %password%, %protocol%, %rotation_link%.

Lengthlength <= 250
maxLine?integer

Maximum number of lines to return.

Range1 <= value

Response Body

text/plain

application/json

curl -X GET "https://proxy-seller.com/personal/api/v2/abc123/proxy/download/resident?id=561&ext=%25login%25%3A%25password%25%40%25ip%25%3A%25port%25&maxLine=1000"
{
  "data": null,
  "errors": [
    {
      "code": 503,
      "message": "Error api key",
      "customData": null
    }
  ],
  "status": "error"
}
"ext contains forbidden characters"
{
  "error": "Too many requests"
}
Proxy-seller